#!/usr/bin/python
import commands
import argparse
import job2_config
import sys
import os

# Flush STOUT continuously
sys.stdout = os.fdopen(sys.stdout.fileno(), 'w', 0)

execfile('beanstalk_config.py')
job_server_tube = 'JobServer'

def server():
    for tube in client_tubes:
        beanstalk.ignore(tube)
    for tube in client_tubes:
        beanstalk.use(tube)
        beanstalk.put('Say Hello')
    beanstalk.watch(job_server_tube)
    for i in range(0, len(client_tubes)):
        job = beanstalk.reserve()
        print job.body
        job.delete()

def client():
    my_name = commands.getoutput('hostname')
    job = beanstalk.reserve()
    print job.body
    beanstalk.use(job_server_tube)
    beanstalk.put('hello from ' + my_name)
    job.delete()

parser = argparse.ArgumentParser()
parser.add_argument("-c", "--client", help="run as a job client (default, disables -s)", action="store_true")
parser.add_argument("-s", "--server", help="run as a job server", action="store_true")

args = parser.parse_args()
run_server = False # set default
if (args.server):
    run_server = True
if (args.client):
   run_server = False  # run with -c -s disables -s

if (run_server):
    server()
else:
    client()


    
        
